<?php
/**
 * MenusApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * MenusApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class MenusApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for searchMenu
     *
     * Search for object of type Menu.
     *
     */
    public function testSearchMenu()
    {
    }

    /**
     * Test case for searchMenus
     *
     * Search for objects of type Menu.
     *
     */
    public function testSearchMenus()
    {
    }

    /**
     * Test case for updateMenuTrees
     *
     * Updating the Menu tree.
     *
     */
    public function testUpdateMenuTrees()
    {
    }
}
